This event is triggered when the user creates loader for the first time.
Code examples
Bind to the create
event of jqxLoader.
import React from 'react';
import ReactDOM from 'react-dom';
import JqxLoader from 'jqwidgets-react/react_jqxloader.js';
class App extends React.Component {
componentDidMount() {
this.refs.myLoader.on('create', (event) => {
// Do Something... });
}
render() {
return (
<JqxLoader ref=
'myLoader' width={100} height={60}
/>
)
}
}
ReactDOM.render(
<App />, document.getElementById(
'app'));

Name | Type | Default |
autoOpen
|
Boolean
|
false
|
Sets or gets the autoOpen property.
import { Component } from "@angular/core"; @Component({ selector: 'app-root', template: ` <jqxLoader #myLoader [width]="100" [height]="60" [autoOpen]="true"> </jqxLoader> `}) export class AppComponent {
|
height
|
String | Number
|
150
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60"> </jqxLoader> `}) export class AppComponent {
|
html
|
String
|
null
|
Sets or gets the html property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60" [html]="'custom HTML string'"> </jqxLoader> `}) export class AppComponent {
|
isModal
|
Boolean
|
false
|
Sets or gets the isModal property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60" [isModal]="true"> </jqxLoader> `}) export class AppComponent {
|
imagePosition
|
enum:LoaderImagePosition
|
'center'
|
enum LoaderImagePosition { center, top, bottom } Sets or gets the imagePosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60" [imagePosition]="'top'"> </jqxLoader> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60" [rtl]="true"> </jqxLoader> `}) export class AppComponent {
|
text
|
String | Number
|
"Loading..."
|
Sets or gets the text property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60" [text]="'Loading files...'"> </jqxLoader> `}) export class AppComponent {
|
textPosition
|
enum:LoaderTextPosition
|
"bottom"
|
enum LoaderTextPosition { top, bottom, left, right } Sets or gets the textPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60" [textPosition]="'left'"> </jqxLoader> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60" [theme]="'energyblue'"> </jqxLoader> `}) export class AppComponent {
|
width
|
String | Number
|
150
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60"> </jqxLoader> `}) export class AppComponent {
|
|
create
|
Event
|
|
This event is triggered when the user creates loader for the first time.
Code examples
Bind to the create event of jqxLoader.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader (onCreate)="Create($event)" [width]="100" [height]="60"> </jqxLoader> `}) export class AppComponent {
|
|
Name | Return Type | Arguments |
close
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60"> </jqxLoader> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myLoader') myLoader: jqxLoaderComponent;
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxLoader #myLoader [width]="100" [height]="60"> </jqxLoader> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myLoader') myLoader: jqxLoaderComponent;
|